const {
  api
} = require("../../utils/api")

// pages/add/info.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    info: null,
    season: 0
  },

  goBack() {
    wx.navigateBack()
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      id: options.id
    })
    this.init()
    this.fetchInfo()
  },

  init() {
    const month = new Date().getMonth() + 1; // getMonth() 返回 0~11，所以要 +1
    var tmp = 0
    if (month >= 3 && month <= 5) {
      tmp = 0; // 春
    } else if (month >= 6 && month <= 8) {
      tmp = 1; // 夏
    } else if (month >= 9 && month <= 11) {
      tmp = 2; // 秋
    } else {
      tmp = 3; // 冬
    }
    this.setData({season:tmp})
  },

  fetchInfo() {
    const data = {
      id: this.data.id
    }
    api('/library/detail', 'GET', data, 'json').then(res => {
      if (res.code === 200) {
        const data = res.data
        data.pestsList = data.pestsDiseases.split(',')
        this.setData({
          info: data
        })
      }
    })
  },
  goPreview(e){
    const url = e.currentTarget.dataset.url
    wx.navigateTo({
      url: '../preview/index?url=' + url,
    })
  },
  add() {
    const user = wx.getStorageSync('user')
    console.log(user);
    // 如果用户的为授权 手机号，责提示登录
    if(user.phone === ''){
      wx.navigateTo({
        url: '../login/index',
      })
      return
    }
    wx.showLoading({
      title: '请稍后',
    })
    const data = {
      libraryId: this.data.info.id,
      userId: user.id
    }
    api('/plant/plantByLibrary', 'GET', data).then(res => {
      if (res.code === 200) {
        if (user.mpOpenId.length > 0){
          wx.switchTab({
            url: '../index/index',
          })
        } else {
          wx.navigateTo({
            url: '../about/index?type=1',
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})